Marketplace
Get Marketplace Products
Retrieves a paginated list of all products in the marketplace catalog.
GET
/
api
/
v3
/
marketplace
/
products
Get Marketplace Products
curl --request GET \
--url https://app.staging.sendo.so/api/v3/marketplace/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.staging.sendo.so/api/v3/marketplace/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.staging.sendo.so/api/v3/marketplace/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"after": "<string>",
"next_page": {
"url": "<string>"
}
},
"categories": [
{
"group_name": "<string>",
"children": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"products": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"variants": [
{
"id": "<string>",
"estimated_total_price": {
"currency": "<string>",
"price_per_unit": "<string>"
},
"images": [
{
"url": "<string>",
"cdn_main": {
"url": "<string>"
},
"cdn_thumbnail": {
"url": "<string>"
}
}
]
}
]
}
]
}Required Auth Scopes
marketplace
Parameters
string
The start for cursor for pagination. This is returned in the
pagination
object of the previous response.integer
The minimum price of products in USD.
integer
The maximum price of products in USD.
array<string>
The country codes to ship to.
array<string>
Category IDs to filter products by.
string
Filter products by exact text search.
Response
object
required
array
required
List of group of nested categories in the marketplace for the result set.
array
required
List of products in the marketplace
Hide product
Hide product
string
required
The product’s identifier.
string
required
The product’s name.
string
required
The product’s description.
array
required
List of product variants
Hide variant
Hide variant
string
required
The variant’s identifier.
⌘I
Get Marketplace Products
